<template>
    <div>
        <Head title="Role"/>
        <v-card dense rounded>
            <v-card-title class="text-subtitle-1 font-weight-bold">
                <v-icon left color="primary">mdi-account-group-outline</v-icon> Authorization
                <v-spacer/>
                <v-btn v-if="!$route().current('preference.roles')" @click="$go($route('preference.roles'))"
                       color="primary"  class="mr-2" text small>
                    Manage Roles <v-icon right>mdi-cog-transfer-outline</v-icon>
                </v-btn>
                <v-btn v-else-if="!$route().current('preference.authorization')"
                       @click="$go($route('preference.authorization'))" color="primary"  class="mr-2" text small>
                    Manage Permissions <v-icon right>mdi-shield-lock-outline</v-icon>
                </v-btn>
                <v-btn @click="$go($route('preference.create_role'))" color="success" text small>
                    Add role
                    <v-icon small right>mdi-plus</v-icon>
                </v-btn>
            </v-card-title>
        </v-card>
        <v-divider class="my-2"/>
        <slot style="overflow-y: auto; max-height: 75vh;"/>
    </div>
</template>

<script>
import Settings from "../../../Components/Layouts/Settings.vue";
import Setting from "../Setting.vue";

export default {
    name: "Role",
    layout: [Settings, Setting],
}
</script>

<style>

</style>
